# iai services diff

Compare two revisions of a service

## Synopsis

Show the differences between two revisions of a service.

Examples: iai services diff my-service 1 3

```
iai services diff <service_name> <revision_a> <revision_b> [flags]
```

## Options

```
  -h, --help                  help for diff
  -o, --organization string   Organization name
  -p, --project string        Project name
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai services](/cli/iai_services.md) - Deploy and manage HTTP services


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.interactive.ai/cli/iai_services_diff.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
